Subject: [Dime] redirect answer

From: "zlupin" <[email-masked]>
Date: Sat, 27 Oct 2007 18:57:53 +0800

Hello,

As RFC 3588 said
6.1.7.  Redirecting requests
   When a redirect agent receives a request whose routing entry is set
   to REDIRECT, it MUST reply with an answer message with the 'E' bit
   set, while maintaining the Hop-by-Hop Identifier in the header, and
   include the Result-Code AVP to DIAMETER_REDIRECT_INDICATION.  Each of
   the servers associated with the routing entry are added in separate
   Redirect-Host AVP.

I have a doubt. 
If the redirect answer would only contain the Result-Code AVP and Redirect-Host AVP?
Will those mandatory AVPs be in the redirect answer?
Eg. for UAR,  if Auth-Session-State in the redirect answer?

Thanks

2007-10-27 

zlupin 
_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: [email-masked]
Date: Sat, 27 Oct 2007 14:49:34 -0500

To expand on zlupin's question.  If application encounters error, it can give hint in the answer using the AVPS - Result code and FailedAVPs.  But does the application need to send the mandatory AVPs in the answer message?

Thanks,
sunil

Tektronix

-----Original Message-----
From: zlupin [mailto:[email-masked]]
Sent: Sat 10/27/2007 5:57 AM
To: dime
Subject: [Dime] redirect answer
 
Hello,

As RFC 3588 said

I have a doubt. 

Thanks

2007-10-27 

zlupin

---

From: "Thomas Lindgren" <[email-masked]>
Date: Sat, 27 Oct 2007 23:43:39 +0200

On 10/27/07, [email-masked] <[email-masked]> wrote:
>
> To expand on zlupin's question.  If application encounters error, it can
> give hint in the answer using the AVPS - Result code and FailedAVPs.  But
> does the application need to send the mandatory AVPs in the answer message?

As I understand it, redirects are classified as protocol errors with the
E-bit set (7.1.3), so they should conform to Section 7.2 rather than the
command-specific grammar. (References are to RFC 3588.)

Best,
Thomas
-- 
Thomas Lindgren, Millpond Services Ltd
_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime